package com.iamberry.wechat.core.entity.cart;

import com.iamberry.app.verify.ValidatorInterface;

/**
 * @author 何秀刚
 * Class Description: 临时订单实体类，用来接受支付时的参数信息
 * Create Date:2016年4月20日
 * Update Date:2016年4月20日
 */
public class TempOrderDto implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 2192693576838754406L;

	@ValidatorInterface(validatorIsRule = "[^\\s]{1,}", isEnable = true)
	private String orderAddressInfo; // 收货人详细地址

	@ValidatorInterface(validatorIsRule = "^[0-9]+[0-9]*]*$", isEnable = true)
	private String orderAddressPostNum; // 收货地址邮编
	
	@ValidatorInterface(validatorIsRule = "^[1]([3][0-9]{1}|50|51|52|53|55|56|57|58|59|77|80|81|82|83|85|84|86|87|88|89|)[0-9]{8}$", isEnable = true)
	private String orderAddressMoblie; // 收货人电话

	@ValidatorInterface(validatorIsRule = "[^\\s]{1,}", isEnable = true)
	private String orderAddressName; // 收件人姓名

	@ValidatorInterface(validatorIsRule = "[^\\s]{1,}", isEnable = true)
	private String cartIdStr; // 购物车条目id,使用-分割
	
	private int orderIntegralNum; // 使用积分
	
	private String orderUserRemark; // 备注
	
	private String couponId; //优惠券id
	
	private int balancePayAmount ; //账户余额支付额度

	public String getOrderAddressInfo() {
		return orderAddressInfo;
	}

	public void setOrderAddressInfo(String orderAddressInfo) {
		this.orderAddressInfo = orderAddressInfo;
	}

	public String getOrderAddressPostNum() {
		return orderAddressPostNum;
	}

	public void setOrderAddressPostNum(String orderAddressPostNum) {
		this.orderAddressPostNum = orderAddressPostNum;
	}

	public String getOrderAddressMoblie() {
		return orderAddressMoblie;
	}

	public void setOrderAddressMoblie(String orderAddressMoblie) {
		this.orderAddressMoblie = orderAddressMoblie;
	}

	public String getOrderAddressName() {
		return orderAddressName;
	}

	public void setOrderAddressName(String orderAddressName) {
		this.orderAddressName = orderAddressName;
	}

	public String getCartIdStr() {
		return cartIdStr;
	}

	public void setCartIdStr(String cartIdStr) {
		this.cartIdStr = cartIdStr;
	}

	public int getOrderIntegralNum() {
		return orderIntegralNum;
	}

	public void setOrderIntegralNum(int orderIntegralNum) {
		this.orderIntegralNum = orderIntegralNum;
	}

	public String getOrderUserRemark() {
		return orderUserRemark;
	}

	public void setOrderUserRemark(String orderUserRemark) {
		this.orderUserRemark = orderUserRemark;
	}

	public String getCouponId() {
		return couponId;
	}

	public void setCouponId(String couponId) {
		this.couponId = couponId;
	}

	public int getBalancePayAmount() {
		return balancePayAmount;
	}

	public void setBalancePayAmount(int balancePayAmount) {
		this.balancePayAmount = balancePayAmount;
	}

	@Override
	public String toString() {
		return "TempOrderDto [orderAddressInfo=" + orderAddressInfo
				+ ", orderAddressPostNum=" + orderAddressPostNum
				+ ", orderAddressMoblie=" + orderAddressMoblie
				+ ", orderAddressName=" + orderAddressName + ", cartIdStr="
				+ cartIdStr + ", orderIntegralNum=" + orderIntegralNum
				+ ", orderUserRemark=" + orderUserRemark + ", couponId="
				+ couponId + ", balancePayAmount=" + balancePayAmount + "]";
	}
	
	
	
}
